## golang-go.tools 0.0~hg20131126

=== builder/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

builder: $(shell ls *.go)
	go build -o $@ $^

clean:
	rm -f builder

=== debian/changelog ===
golang-go.tools (0.0~hg20131126-3) unstable; urgency=low

  * Add patch 0002-skip-online-tests.patch (Thanks James Page)
    (Closes: #737985)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 07 Feb 2014 21:27:37 +0100

golang-go.tools (0.0~hg20131126-2) unstable; urgency=low

  * Fix Breaks/Replaces field (Closes: #731498)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 06 Dec 2013 08:24:44 +0100

golang-go.tools (0.0~hg20131126-1) unstable; urgency=low

  * Initial upload (Closes: #731046)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 02 Dec 2013 22:17:08 +0100

=== debian/control ===
Source: golang-go.tools
Section: devel
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9), golang-go, dh-golang (>= 1.4), golang-go.net-dev
Standards-Version: 3.9.4
Homepage: https://code.google.com/p/go.tools/
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary

Package: golang-go.tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Built-Using: ${misc:Built-Using}
Breaks: golang-go (<< 2:1.2)
Replaces: golang-go (<< 2:1.2)
Description: supplementary Go tools
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.

Package: golang-go.tools-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: supplementary Go tools (development files)
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export DH_VERBOSE=1

export DH_GOPKG := code.google.com/p/go.tools

# Install all files into the build GOPATH, not only .go files.
# This is necessary because go.tools contains golden files that are necessary
# for running the testsuite.
export DH_GOLANG_INSTALL_ALL := 1

# go.tools installs into $GOROOT, so create a temporary $GOROOT into which it
# is actually allowed to write (as opposed to /usr/lib/go).
export GOROOT_FINAL := /usr/lib/go
export GOROOT = $(CURDIR)/temproot

override_dh_auto_build:
	mkdir -p $(CURDIR)/temproot
	# We need a writable copy of pkg, go.tools installs into that.
	cp -ar /usr/lib/go/pkg $(CURDIR)/temproot/pkg
	ln -s /usr/lib/go/src $(CURDIR)/temproot/src
	ln -s /usr/share/go/test $(CURDIR)/temproot/test
	echo "listing:"
	ls -hlR $(CURDIR)
	dh_auto_build $@

override_dh_auto_install:
	dh_auto_install $@
	# Install all binaries from bin/ and pkg/ to /usr/bin/ and
	# /usr/lib/go/pkg, respectively.
	echo "listing CURDIR=$(CURDIR):"
	ls -hlR $(CURDIR)
	(cd $(CURDIR)/temproot/bin; \
	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
		mkdir -p $(CURDIR)/debian/tmp/usr/bin/$$(dirname $$file); \
		install $$file $(CURDIR)/debian/tmp/usr/bin/$$file; \
	done)
	(cd $(CURDIR)/temproot/pkg; \
	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
		mkdir -p $(CURDIR)/debian/tmp/usr/lib/go/pkg/$$(dirname $$file); \
		install $$file $(CURDIR)/debian/tmp/usr/lib/go/pkg/$$file; \
	done)
	# Remove extra LICENSE file, which is installed because we run with DH_GOLANG_INSTALL_ALL=1.
	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/code.google.com/p/go.tools/LICENSE
	# Make scripts executable.
	chmod +x $(CURDIR)/debian/tmp/usr/share/gocode/src/code.google.com/p/go.tools/cmd/godoc/setup-godoc-app.bash
	chmod +x $(CURDIR)/debian/tmp/usr/share/gocode/src/code.google.com/p/go.tools/cmd/oracle/emacs-test.bash
	chmod +x $(CURDIR)/debian/tmp/usr/share/gocode/src/code.google.com/p/go.tools/godoc/static/bake.sh
	# Replace embedded copy of jquery with a symlink.
	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/code.google.com/p/go.tools/godoc/static/jquery.js && \
	ln -s /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/debian/tmp/usr/share/gocode/src/code.google.com/p/go.tools/godoc/static/jquery.js

%:
	dh $@ --buildsystem=golang --with=golang

## golang-go.tools 0.0~hg20140703

=== debian/changelog ===
golang-go.tools (0.0~hg20140703-4) unstable; urgency=medium

  * Update debian/patches/0003-fix-tests.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 12 Sep 2014 09:11:12 +0200

golang-go.tools (0.0~hg20140703-3) unstable; urgency=medium

  * Add debian/patches/0003-fix-tests.patch (Closes: #754644)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 29 Aug 2014 09:50:11 +0200

golang-go.tools (0.0~hg20140703-2) unstable; urgency=medium

  * Rename eg to golang-go (Closes: #753978)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 22 Jul 2014 09:48:00 +0200

golang-go.tools (0.0~hg20140703-1) unstable; urgency=medium

  * Import new upstream version (release-branch.go1.3). The old version broke
    with go 1.3 (Closes: #753185)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 03 Jul 2014 18:52:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), golang-go, dh-golang (>= 1.4), golang-go.net-dev
+Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.4), golang-go.net-dev
 Standards-Version: 3.9.4
 Homepage: https://code.google.com/p/go.tools/
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	cp -ar /usr/lib/go/pkg $(CURDIR)/temproot/pkg
 	ln -s /usr/lib/go/src $(CURDIR)/temproot/src
 	ln -s /usr/share/go/test $(CURDIR)/temproot/test
+	ln -s /usr/share/doc/golang-doc/html $(CURDIR)/temproot/doc
 	echo "listing:"
 	ls -hlR $(CURDIR)
 	dh_auto_build $@
@@ -36,6 +37,8 @@
 	# /usr/lib/go/pkg, respectively.
 	echo "listing CURDIR=$(CURDIR):"
 	ls -hlR $(CURDIR)
+	# Rename “eg” to “golang-eg” (#753978)
+	mv $(CURDIR)/debian/tmp/usr/bin/eg $(CURDIR)/debian/tmp/usr/bin/golang-eg
 	(cd $(CURDIR)/temproot/bin; \
 	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
 		mkdir -p $(CURDIR)/debian/tmp/usr/bin/$$(dirname $$file); \
